Subject: Re: bug#72068: show-paren-mode does not match Chinese parentheses correctly

From: Stefan Monnier <[email-masked]>
Date: Thu, 25 Jul 2024 07:34:55 -0400

>> > I think that's the idea, indeed.  Of course, we don't have to obey the
>> > Emacs Lisp syntax, but I think it makes sense to do so.
>> > Admittedly, it would be nice to allow the use of other syntax rules inside
>> > comments and string for these kinds of situations.
>> 
>> I'm not sure if this should be closed as notabug or not, but I'm tagging
>> it as wishlist at least.  Feel free to close if that makes more sense.
>
> What solution is possible except changing the syntax table?

A solution would be to make "syntax tables" more complex so as to be
able to have a notion of "context" (so the same character can behave
differently inside a string than outside), or equivalently a way to
use different syntax tables in different contexts.

> And if changing the syntax table is the solution, users can already do
> that if they want, right?

Other than via things like `mmm-mode` (which I've never seen used to
use different modes in strings than in code), I don't think they can.

        Stefan